summaryrefslogtreecommitdiff
path: root/packaging/Mandrake/wrepld.init
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/Mandrake/wrepld.init')
-rw-r--r--packaging/Mandrake/wrepld.init93
1 files changed, 93 insertions, 0 deletions
diff --git a/packaging/Mandrake/wrepld.init b/packaging/Mandrake/wrepld.init
new file mode 100644
index 0000000000..b8057f5f40
--- /dev/null
+++ b/packaging/Mandrake/wrepld.init
@@ -0,0 +1,93 @@
+#!/bin/sh
+#
+# chkconfig: 345 81 45
+# description: Starts and stops the Samba wrepld daemon to provide \
+# WINS replication services between WINS partner servers.
+
+# Source function library.
+if [ -f /etc/init.d/functions ] ; then
+ . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ] ; then
+ . /etc/rc.d/init.d/functions
+else
+ exit 0
+fi
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+# Check that smb.conf exists.
+[ -f /etc/samba/smb.conf ] || exit 0
+
+RETVAL=0
+
+
+start() {
+ echo -n "Starting WINS Replication services: "
+ RETVAL=1
+ if [ "`grep -i 'wins partners' /etc/samba/smb.conf | egrep -v [\#\;]`" ]; then
+ daemon wrepld
+ RETVAL=$?
+ else
+ echo "WINS replication is not configured in /etc/samba/smb.conf, not starting"
+ fi
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/wrepld || \
+ RETVAL=1
+ return $RETVAL
+}
+stop() {
+ echo -n "Shutting down WINS replication services: "
+ RETVAL=1
+ if [ "`grep -i 'wins partners' /etc/samba/smb.conf | egrep -v [\#\;]`" ]; then
+ killproc wrepld
+ RETVAL=$?
+ fi
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/wrepld
+ return $RETVAL
+}
+restart() {
+ stop
+ start
+}
+reload() {
+ export TMPDIR="/var/tmp"
+ echo -n "Reloading WINS replication: "
+ killproc wrepld -HUP
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+mdkstatus() {
+ status wrepld
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ restart
+ ;;
+ reload)
+ reload
+ ;;
+ status)
+ mdkstatus
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/wrepld ] && restart || :
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|status|condrestart}"
+ exit 1
+esac
+
+exit $?